Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.logging
Class Log

    java.lang.Object
      org.flexdock.logging.Log

Deprecated.

    public class Log

extends Object

This class provides static log methods that should be used for logging from inside other flexdock classes.

Method Summary
`static void` | `debug(String message)` Deprecated. Log a debug message.
`static void` | `debug(String message, Throwable t)` Deprecated. Log a debug message and provide a `Throwable` for details.
`static void` | `error(String message)` Deprecated. Log an error.
`static void` | `error(String message, Throwable t)` Deprecated. Log an error and provide a `Throwable` for details.
`static void` | `setLogger(Logger newLogger)` Deprecated. Set a new `Logger` instance to perform the actual logging.
`static void` | `warn(String message)` Deprecated. Log a warning.
`static void` | `warn(String message, Throwable t)` Deprecated. Log a warning and provide a `Throwable` for details.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setLogger

    public static void setLogger(Logger newLogger)

  Deprecated.
  Set a new `Logger` instance to perform the actual logging.

  Parameters:
    `newLogger` - Logger instance, may not be `null`

### error

    public static void error(String message)

  Deprecated.
  Log an error. An error is a condition that may cause flexdock to behave unexpectedly afterwards.

  Parameters:
    `message` - error message to log

### error

    public static void error(String message,
                             Throwable t)

  Deprecated.
  Log an error and provide a `Throwable` for details. An error is a condition that may cause flexdock to behave unexepctedly afterwards.

  Parameters:
    `message` - error message to log
    `t` - details of the error

### warn

    public static void warn(String message)

  Deprecated.
  Log a warning. A warning is a condition that will not cause flexdock to behave unexpectedly but is considered severe enough that it should be noticed in the log by support staff.

  Parameters:
    `message` - warning message to log

### warn

    public static void warn(String message,
                            Throwable t)

  Deprecated.
  Log a warning and provide a `Throwable` for details. A warning is a condition that will not cause flexdock to behave unexpectedly but is considered severe enough that it should be noticed in the log by support staff.

  Parameters:
    `message` - warning message to log
    `t` - details of the warning

### debug

    public static void debug(String message)

  Deprecated.
  Log a debug message. A debug message is not expected to be logged in production systems. It can be used to help in debugging functionality under development.

  Parameters:
    `message` - debug message to log

### debug

    public static void debug(String message,
                             Throwable t)

  Deprecated.
  Log a debug message and provide a `Throwable` for details. A debug message is not expected to be logged in production systems. It can be used to help in debugging functionality under development.

  Parameters:
    `message` - debug message to log
    `t` - details of the debug message

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD